# :// Occlusion
### About the Rundown
Occlusion is a rundown that I designed to be a fun challenge for my team.
Not super difficult, but a fun (I hope), vanilla inspired rundown that can just be
a good time with friends. Expect tuning and adjustments to be made to levels
and some weapons as I continue to learn.

I'm not trying to introduce any actual lore, but I intend for my rundown to tell
a minor story with level design, objectives, etc.

### Current Levels
- A1: Fracture
- B1: Failsafe
- B2: Protean
- C1: Eternum
- C2: Suffocate
- C3: Codex

### Future Levels
- D1: Confluence ERR:// FOG AT FATAL TOXICITY LEVELS; NOT ENOUGH DATA TO PINPOINT DROP LOCATION.
- D2: Hellion ERR:// FATAL EXCEPTION
- E1: Teratoma ERR:// EXTRAORDINARY AMOUNTS OF BIOMASS AT TARGET LOCATION

### Weapon Changes
- Sniper Rifle: Reverted to R6 state
- Heavy AR: Reverted to R6 state
- Spear: Now does 25 damage on a full charge but takes an extra 0.3 seconds (2 total) to charge.

# Patch Notes
- 1.4.1 Hotfixed C3: Overload now opens properly
- 1.4.0 Added C3: Codex, with Main, Extreme, and Overload sectors. Notes in spoiler section. Plans for C2 in spoiler section.
- 1.3.2 Changed C2: More adjustments to C2. Zone 219 terminal set to a marker. Secondary made much more difficult overall. Tweaked overload to make the error alarm more enticing.
- 1.3.1 Changed C2: Heavy changes to make the level more enjoyable and functional overall, details in spoiler section. Spear charge time decreased. Lore log added to A1
- 1.3.0 Added C2: Suffocate, with Main, Extreme, and Overload sectors. Adjusted C1. Changed spear to make it more viable as a giant killing weapon.
- 1.2.1 Reenabled all old rundown weapons, minor adjustments to B1 and C1, added menu icons for C2: Suffocate and C3: Codex.
- 1.2.0 Added C1: Eternum, with Main and Extreme sectors. Adjusted A1, B1, and B2, with details in the full patch changes section. Added a Scout Playground in place of training 
- 1.1.1 Reduced resource distribution on A1, added MTFO and BepinEX as dependencies. Added descriptors in 
- 1.1.0 Release, three levels introduced, A1, B1, and B2

# Full Patch Changes
### WARNING: Spoilers Ahead!

<details>
<summary>SPOILERS</summary>

### 1.4.1
Hotfix Patch to fix C3 Overload not opening on completion of main

### 1.4.0
C3: Release. This level is subject to change slightly. I believe you all will recognize the Extreme and Overload portions of this level. I plan to tailor both Extreme and Overload to my own designs later on, but I wanted to get a rough draft out there so that I can get feedback on how the level feels. Overall, a much less annoying level than C2, but it'll hopefully be improved over time like the rest. 

Extreme: This section was supposed to be a mini R7D2, but ended up being REALLY similar to the level. Originally my holdout zone was different, but it had to change because the tank from behind in R7D2's second hub zone was ok, but defending waves in that zone was a lot harder. Overall, I liked the tank fight being harder, and as a result, the layout is incredibly similar to R7D2. Might swap out a few tiles in future patches

Overload: Overload was designed to be a Thunderdome style fight, very similar to the one in R5C2, except it's a little too similar and I don't like that. I might toss up a few of the spawns later, but for now have fun in this arena fight.

Overall, I'm not incredibly happy with the state of C3, but it's a fun level and I wanted to get it out there. Resources are definitely a little overtuned, but other than that, the level should be in pretty good working order. Have fun decrypting the Codex's secrets!


C2: I'm still not happy with the state of this level. I'm working on a way to make Overload a little more enticing on a secondary path, and I think it means dropping the error entirely in favor of another obstacle. What that may be, I don't know, but I'm working on it (I have some ideas brewing, but none that are very cool/unique). I'm going to let it rest a bit more though, as I'd like to come back to it with a fresh perspective.

### 1.3.2
C2: This level has undergone many tweaks in the last few days, due to a combination of the gardens tileset and also my inexperience as a modder. Heavy revisions to the level should be finished with this patch, however I'm not going to make any final promises, so don't get too attached.
- Main: Added a marker to the Zone 219 terminal to lock it in place.

The Zone 219 terminal could spawn in a wall. I fixed it. Sorry.
- Main (Last patch): Added a few big chargers to Zone 222

I forgot to include this in the last patch notes, but I added a few big chargers to the snatcher zone to encourage the stealthy approach.
- Secondary: Greatly reduced ammo in Secondary sector. Added a few more scouts to the first and third zones.

Secondary was slightly overlooked in the last two patches, as my focus was primarily on getting the main sector more functional. Well now it has received some love and should be more worthy of being a C-Tier Extreme objective. I believe that this should primarily be a stealth section, and as such it is receiving much less ammo and more scouts to punish waking. I debated adding an alarm but ultimately decided against it as I wanted to offer the chance to complete secondary completely silently. 
- Overload: Added a lights out to Zone 764, the Overload stealth option.

Every person that I have asked about this level has opted for the stealth zone. As dangerous as waking the zone can be, ultimately it is a game of red light green light that is much more attractive than a permanent error alarm. I had initially attached a lights-out event to this zone, but removed it due to me believing that a permanent blackout would be too punishing. However, in light of everybody opting for this zone, I decided to reimplement it. Have fun, don't die

### 1.3.1
- C2: Dropped number of generators from 4 to 3 in order to avoid needless backtracking for the extra cell. Removed zone between error terminal and Overload to make the level a little smaller and to prevent enemies spawning out of bounds on the first overload alarm. Changed final fog density to be much less dense to reflect the overall air quality. Added a few more resource packs in Zone 223 (previously Zone 224). Changed spawns for the Class M VII alarm to two rooms away; due to my error they had been 1 room away. Re-generated Extreme to my original intentions of a spread out zone. Properly generated final zone in Extreme with the correct custom geomorph.

I apologize for such heavy changes so soon after release, but Gardens has been a pain to work with. The level shouldn't recieve too many changes from here on out.
- Spear: Charge changed from 2.7 -> 2.0 (vanilla = 1.7) 

I initially thought that with the higher damage, spear would need a much higher charge time to compensate. However, due to not being able to sprint with spear, I decided to try giving it a very tiny charge time increase (1.7->2) and adjust it as necessary. It might be too strong.
- A1: Lore log added. 

I didn't initially intend to add lore logs, but I have come to realize that implication and Warden Intel is a poor way to communicate lore. More will be added as I continue developing Occlusion

### 1.3.0
- C1: Changed out Big Strikers on blood door in favor of Big Chargers. They thematically fit with the tank, and the blood door was surprisingly a little too easy
- C2: Release. 

This level was a pain to create, as Gardens is not a fun tileset to work with. It's done though, and I hope you enjoy it. Just a warning, due to errors with the Gardens tileset, there are certain tiles where you cannot drop heavy items. Move to a different tile and drop the item there; it's a pain I know, but there's nothing I can do.
- Weapons: Spear buffed. 

I've always liked spear, but vanilla spear sucks. I changed the weapon to give it a 1 second longer charge, but buffed its damage to 25. Hopefully, spear should be much more viable now, as a nice support weapon to help take down giants.

### 1.2.1 
- Reenabled old rundown weapons 
- B1: added an alarm during the error run
- C1: reduced resources across the level, was an intended change that I forgot to implement when I released C1
- Training: Added C-foam to the individual scout zones to avoid having to run back and forth for more foam

### 1.2.0
- A1: Cut down on the frankly ridiculous number of syringes
- B1: Added a special surprise in the resource zone, and dimmed the lights in the Class III S Scan room
- B2: Removed spitters due to the audio bug. Tweaked the overload blood door, and removed the extra data sphere
- C1: Release
- Training: Reworked into scout playground to fine tune your scout bonking skills, with regular, shadow, and charger zones. C-foam included.

</details>

# Feedback/Questions?
- Contact me on discord if you have any issues at:
`dakstar7#5050`
- Or you can respond to my feedback post in the GTFO Modding Discord.